Github user mattyb149 commented on a diff in the pull request:

    https://github.com/apache/nifi/pull/2630#discussion_r181075183
  
    --- Diff: pom.xml ---
    @@ -94,6 +94,7 @@
             <org.slf4j.version>1.7.25</org.slf4j.version>
             <ranger.version>0.7.1</ranger.version>
             <jetty.version>9.4.3.v20170317</jetty.version>
    +        <httpclient.version>4.5.5</httpclient.version>
    --- End diff --
    
    Per [NIFI-4936](https://issues.apache.org/jira/browse/NIFI-4936), this 
needs to be pushed down to each NAR/bundle. In your case since you are using it 
in nifi-hadoop-utils, each NAR that has this as a dependency should declare it. 
If they already bring in httpclient, you'd likely need to reuse that version 
rather than setting it to 4.5.5, to avoid eviction.


---

Reply via email to